> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Verify Factor

> Verify factor enrollment and activate it.

TOTP codes are verified via _totp_code_valid (real verification, or the
MFA_DEV_ALLOW_ANY_CODE dev bypass when explicitly enabled). SMS verification
is still a stub and always succeeds.



## OpenAPI

````yaml /openapi.json post /v1/mfa/factors/{factor_id}/verify
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/mfa/factors/{factor_id}/verify:
    post:
      tags:
        - mfa
      summary: Verify Factor
      description: >-
        Verify factor enrollment and activate it.


        TOTP codes are verified via _totp_code_valid (real verification, or the

        MFA_DEV_ALLOW_ANY_CODE dev bypass when explicitly enabled). SMS
        verification

        is still a stub and always succeeds.
      operationId: verify_factor_v1_mfa_factors__factor_id__verify_post
      parameters:
        - in: path
          name: factor_id
          required: true
          schema:
            title: Factor Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VerifyFactorRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    VerifyFactorRequest:
      properties:
        code:
          maxLength: 12
          minLength: 4
          title: Code
          type: string
      required:
        - code
      title: VerifyFactorRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````